Creates a surface by extruding a curve straight along two points that define a line.
Rhino.ExtrudeCurveStraight (strCurve, arrStartPoint, arrEndPoint)
Rhino.ExtrudeCurveStraight (strCurve, arrDirection)
strCurve |
Required. String. The identifier of the curve object to extrude. |
arrStartPoint |
Required. Array. A starting point. |
arrEndPoint |
Required. Array. A ending point. |
arrDirection |
Requried. Array. A 3-D vector indicating both the direction and the magnitude of the extrusion. |
String |
The identifier of the new object if successful. |
Null |
If not successful, or on error. |
Dim strCurve
strCurve = Rhino.AddCircle(Rhino.WorldXYPlane, 5)
Rhino.ExtrudeCurveStraight strCurve, Array(0,0,0), Array(0, 10, 10)